Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action
Class SoapUIActionRegistry.SoapUIActionGroupAction<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIAction<T>
          com.eviware.soapui.support.action.SoapUIActionRegistry.SoapUIActionGroupAction<T>

All Implemented Interfaces:
  SoapUIAction<T>, PropertyChangeNotifier

Enclosing class:
  SoapUIActionRegistry

    public static class SoapUIActionRegistry.SoapUIActionGroupAction<T extends ModelItem>

extends AbstractSoapUIAction<T>

Field Summary

Fields inherited from interface com.eviware.soapui.support.action.SoapUIAction
`ENABLED_PROPERTY`

Constructor Summary
`SoapUIActionRegistry.SoapUIActionGroupAction(java.lang.String name, java.lang.String description, java.lang.String actionGroupId)`

Method Summary
`SoapUIActionGroup` | `getActionGroup()`
`void` | `perform(T target, java.lang.Object param)`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIAction
`addPropertyChangeListener, addPropertyChangeListener, applies, getDescription, getName, isDefault, isEnabled, removePropertyChangeListener, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapUIActionRegistry.SoapUIActionGroupAction

    public SoapUIActionRegistry.SoapUIActionGroupAction(java.lang.String name,
                                                        java.lang.String description,
                                                        java.lang.String actionGroupId)

Method Detail

### getActionGroup

    public SoapUIActionGroup getActionGroup()

### perform

    public void perform(T target,
                        java.lang.Object param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.